@use '../../../global/styles/typography';
@use '../../../global/styles/border';
@use './styles/table.variables' as *;

:host {
	@include digi-table--variables;

	::slotted(table) {
		font-family: var(--digi--table--font-family);
		font-size: var(--digi--table--font-size);
		color: var(--digi--table--color);
		font-weight: var(--digi--table--font-weight);
		text-align: left;
		width: 100%;
		border-collapse: collapse;

		th,
		td {
			border-block-end: border.$table;
		}

		th,
		td {
			padding: calc((59px - 1em) / 2) var(--digi--table--cell--padding--x);
		}

		tr[data-af-table-row~='active'],
		th[data-af-table-cell~='active'],
		td[data-af-table-cell~='active'] {
			color: var(--digi--table--color--active);
			background-color: var(--digi--table--background--active);
		}

		th[data-af-table-cell~='center'],
		td[data-af-table-cell~='center'] {
			text-align: center;
		}

		th[data-af-table-cell~='right'],
		td[data-af-table-cell~='right'] {
			text-align: right;
		}

		thead {
			@include typography.heading-4;

			background: var(--digi--color--background--secondary);

			th {
				padding: calc((59px - var(--digi--heading-4--line-height)) / 2) var(--digi--table--cell--padding--x);
			}
		}
	}

	.digi-table {
		&--variation-secondary {
			padding-block-end: 60px;
		}
	}
}
